# Create unix user for tests
user 'test-user' do
  action :create
end

group 'test-group' do
  action :create
  append true
  members 'test-user'
end

# install apache2-utils. It is needed for the assets:add_htpasswd task
package 'apache2-utils' do
  action :install
end

# MySQL server
include_recipe 'mysql'
include_recipe 'mysql::server'
include_recipe 'mysql::flexiconf'
include_recipe 'database'

mysql_connection_info = {
  :host     => 'localhost',
  :username => 'root',
  :password => node['mysql']['server_root_password']
}

mysql_database_user 'root' do
  connection mysql_connection_info
  password   node['mysql']['server_root_password']
  host       '%'
  action     :create
  privileges [:all]
  action     :grant
end

mysql_database 'dkdeploy database' do
  database 'dkdeploy'
  action   :create_db
  password node['mysql']['server_root_password']
end
