# Include dkdeploy gem
require 'dkdeploy'
require 'capistrano/dkdeploy/core'

# Rails support for Capistrano
require 'capistrano/rails'

# Passenger support for Capistrano
require 'capistrano/passenger'

include Capistrano::DSL

namespace :load do
  task :defaults do
    set :use_sudo, false
    set :copy_source, '.' # override the dkdeploy-core default 'htdocs'
    set :copy_exclude, %w[.rspec .travis.yml .hidden **/.hidden **/.git build]
    set :linked_dirs, %w[log tmp/pids tmp/cache tmp/sockets public/system public/assets uploads]
    set :passenger_restart_with_touch, true

    unless fetch(:skip_dkd_server_settings)
      set :default_file_access_owner_of_release_path, 'dkd-deployment'
      set :default_file_access_group_of_release_path, 'www-data'
      set :default_file_access_mode_of_release_path, '0775'
      set :default_file_access_owner_of_shared_path, 'dkd-deployment'
      set :default_file_access_group_of_shared_path, 'www-data'
      set :default_file_access_mode_of_shared_path, '0775'

      after 'deploy:updated', 'file_access:set_owner_group'
      after 'deploy:updated', 'file_access:set_permissions'
      after 'deploy:updated', 'file_access:set_custom_access'
    end
  end
end
